PDA

View Full Version : Client Mismatch



shasow
02-27-2013, 09:31 PM
I just downloaded this game from Steam, but whenever I open it up, it gives me a message saying:

Client Mismatch
Your Client Version 1.5.97 is TOO OLD. Server is 1.5.107

And I get an option to disconnect. I've downloaded this from Steam, so I'm not really sure what to do. Is Steam installing the wrong version?

franknarf
02-27-2013, 09:32 PM
Try rebooting Steam!

shasow
02-27-2013, 09:36 PM
Thanks, that worked!

Mumm
02-28-2013, 01:14 PM
Going close this thread out tons of duplicates of this issue.